
<!-- markdownlint-disable MD041 -->
<p align="left"><img src="https://vulkan.lunarg.com/img/NewLunarGLogoBlack.png" alt="LunarG" width=263 height=113 /></p>
<p align="left">Copyright (c) 2021-2025 LunarG, Inc.</p>

<p align="center"><img src="./images/logo.png" width=400 /></p>

[![Creative Commons][3]][4]

[3]: https://i.creativecommons.org/l/by-nd/4.0/88x31.png "Creative Commons License"
[4]: https://creativecommons.org/licenses/by-nd/4.0/

# Vulkan Profiles Definitions

## Vulkan Profiles List

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| Label | Khronos Vulkan Roadmap 2022 profile | Khronos Vulkan Roadmap 2024 profile | Android Vulkan Baseline 2021 profile | Android Vulkan Baseline 2022 profile | LunarG Vulkan Desktop Baseline 2022 profile | LunarG Vulkan Desktop Baseline 2023 profile | LunarG Vulkan Desktop Baseline 2024 profile | Vulkan Core 1.0 Minimum Requirements | Vulkan Core 1.1 Minimum Requirements | Vulkan Core 1.2 Minimum Requirements | Vulkan Core 1.3 Minimum Requirements |
| Description | This roadmap profile is intended to be supported by newer devices shipping in 2022 across mainstream smartphone, tablet, laptops, console and desktop devices. | This roadmap profile is intended to be supported by newer devices shipping in 2024 across mainstream smartphone, tablet, laptops, console and desktop devices. | Collection of functionality that is broadly supported on Android | Collection of functionality that is broadly supported on Android | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | Vulkan Core 1.0 Minimum Requirements. | Vulkan Core 1.1 Minimum Requirements. | Vulkan Core 1.2 Minimum Requirements. | Vulkan Core 1.3 Minimum Requirements. |
| Version | 1 | 1 | 3 | 2 | 2 | 2 | 1 | 1 | 1 | 1 | 1 |
| Required API version | 1.3.204 | 1.3.276 | 1.0.68 | 1.1.106 | 1.1.139 | 1.2.148 | 1.2.197 | 1.0.68 | 1.1.108 | 1.2.131 | 1.3.204 |
| Required profiles |  | VP_KHR_roadmap_2022 |  |  |  |  |  |  |  |  |  |
| Fallback profiles | - | - | - | - | - | - | - | - | - | - | - |

## Vulkan Profiles Extensions

* :heavy_check_mark: indicates that the extension is defined in the profile
* "X.X Core" indicates that the extension is not defined in the profile but the extension is promoted to the specified core API version that is smaller than or equal to the minimum required API version of the profile
* :x: indicates that the extension is neither defined in the profile nor it is promoted to a core API version that is smaller than or equal to the minimum required API version of the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Instance extensions** |
| [VK_KHR_android_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_android_surface.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_device_group_creation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group_creation.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_memory_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_physical_device_properties2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_physical_device_properties2.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_surface_capabilities2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_surface_capabilities2.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_surface.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_EXT_swapchain_colorspace](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_swapchain_colorspace.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **Device extensions** |
| [VK_KHR_16bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_16bit_storage.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_8bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_8bit_storage.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_bind_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_bind_memory2.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_buffer_device_address](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_buffer_device_address.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_copy_commands2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_copy_commands2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_create_renderpass2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_create_renderpass2.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dedicated_allocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dedicated_allocation.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_depth_stencil_resolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_depth_stencil_resolve.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_descriptor_update_template](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_descriptor_update_template.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_device_group](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_draw_indirect_count.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_driver_properties](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_driver_properties.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dynamic_rendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_dynamic_rendering_local_read](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering_local_read.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_external_fence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_fd.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_external_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_fd.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_format_feature_flags2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_format_feature_flags2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_get_memory_requirements2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_memory_requirements2.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_global_priority](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_global_priority.html) | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_image_format_list](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_image_format_list.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_imageless_framebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_imageless_framebuffer.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_incremental_present](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_incremental_present.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_index_type_uint8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_index_type_uint8.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_line_rasterization](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_line_rasterization.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_load_store_op_none](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_load_store_op_none.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_maintenance1](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance1.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance2.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance3](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance3.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance4.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_maintenance5](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance5.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_map_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_map_memory2.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_multiview.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_push_descriptor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_push_descriptor.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_relaxed_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_relaxed_block_layout.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_sampler_mirror_clamp_to_edge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_mirror_clamp_to_edge.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_sampler_ycbcr_conversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_ycbcr_conversion.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_separate_depth_stencil_layouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_separate_depth_stencil_layouts.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_atomic_int64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_atomic_int64.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_draw_parameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_draw_parameters.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_shader_expect_assume](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_expect_assume.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_float16_int8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float16_int8.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_float_controls](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_float_controls2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls2.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_integer_dot_product](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_integer_dot_product.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_maximal_reconvergence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_maximal_reconvergence.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_non_semantic_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_non_semantic_info.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_quad_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_quad_control.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_subgroup_extended_types](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_extended_types.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_subgroup_rotate](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_rotate.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_subgroup_uniform_control_flow](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_uniform_control_flow.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_terminate_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_terminate_invocation.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_spirv_1_4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_spirv_1_4.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_storage_buffer_storage_class](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_storage_buffer_storage_class.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_swapchain](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_swapchain_mutable_format](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain_mutable_format.html) | :x: | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_synchronization2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_timeline_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_timeline_semaphore.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_uniform_buffer_standard_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_uniform_buffer_standard_layout.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_variable_pointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_variable_pointers.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_vertex_attribute_divisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vertex_attribute_divisor.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_vulkan_memory_model](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vulkan_memory_model.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_zero_initialize_workgroup_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_zero_initialize_workgroup_memory.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_4444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_4444_formats.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_calibrated_timestamps](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_calibrated_timestamps.html) | :x: | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_descriptor_indexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_descriptor_indexing.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_extended_dynamic_state](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_extended_dynamic_state2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_external_memory_host](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_external_memory_host.html) | :x: | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_host_query_reset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_host_query_reset.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_image_robustness](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_image_robustness.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_inline_uniform_block](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_inline_uniform_block.html) | 1.3 Core | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_memory_budget](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_memory_budget.html) | :x: | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_pipeline_creation_cache_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_cache_control.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_pipeline_creation_feedback](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_feedback.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_private_data](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_private_data.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_queue_family_foreign](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_queue_family_foreign.html) | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_EXT_robustness2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_robustness2.html) | :x: | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_sampler_filter_minmax](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_sampler_filter_minmax.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_scalar_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_scalar_block_layout.html) | 1.2 Core | 1.2 Core | :x: | :x: | :heavy_check_mark: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_separate_stencil_usage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_separate_stencil_usage.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_shader_atomic_float](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_atomic_float.html) | :x: | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_demote_to_helper_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_demote_to_helper_invocation.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_shader_subgroup_ballot](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_subgroup_ballot.html) | :x: | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_subgroup_vote](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_subgroup_vote.html) | :x: | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_viewport_index_layer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_viewport_index_layer.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_subgroup_size_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_subgroup_size_control.html) | 1.3 Core | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texel_buffer_alignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texel_buffer_alignment.html) | 1.3 Core | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texture_compression_astc_hdr](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texture_compression_astc_hdr.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_tooling_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_tooling_info.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_vertex_attribute_divisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_vertex_attribute_divisor.html) | :x: | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_ycbcr_2plane_444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_ycbcr_2plane_444_formats.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_AMD_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_AMD_draw_indirect_count.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_ANDROID_external_memory_android_hardware_buffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_ANDROID_external_memory_android_hardware_buffer.html) | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_GOOGLE_display_timing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_GOOGLE_display_timing.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |

## Vulkan Profile Features

> **NOTE**: The table below only contains features explicitly defined by the corresponding profile. Further features may be supported by the profiles in accordance to the requirements defined in the "Feature Requirements" section of the appropriate version of the Vulkan API Specification.

* :heavy_check_mark: indicates that the feature is defined in the profile (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :warning: indicates that the feature is not defined in the profile but an equivalent feature is (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :x: indicates that neither the feature nor an equivalent feature is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [depthBiasClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [depthClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [drawIndirectFirstInstance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [dualSrcBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fillModeNonSolid](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fragmentStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fullDrawIndexUint32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [imageCubeArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [independentBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [inheritedQueries](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [largePoints](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [multiDrawIndirect](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [multiViewport](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [occlusionQueryPrecise](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [robustBufferAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [sampleRateShading](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [samplerAnisotropy](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderClipDistance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderImageGatherExtended](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderInt16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageExtendedFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageWriteWithoutFormat](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderTessellationAndGeometryPointSize](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [tessellationShader](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionASTC_LDR](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [textureCompressionBC](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionETC2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [vertexPipelineStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.1** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> |
| [protectedMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceProtectedMemoryFeatures.html) | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderDrawParameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDrawParametersFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceShaderDrawParametersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.2** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [samplerMirrorClampToEdge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [shaderFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderOutputLayer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderOutputViewportIndex](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [subgroupBroadcastDynamicId](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| **Vulkan 1.3** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlFeaturesEXT (VK_EXT_subgroup_size_control)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | :x: | :x: | :x: | :x: |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDynamicRenderingFeaturesKHR (VK_KHR_dynamic_rendering)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevicePipelineCreationCacheControlFeaturesEXT (VK_EXT_pipeline_creation_cache_control)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [privateData](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePrivateDataFeatures.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevicePrivateDataFeaturesEXT (VK_EXT_private_data)">:warning:</span> | :x: | :x: | :x: | :x: |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceShaderDemoteToHelperInvocationFeaturesEXT (VK_EXT_shader_demote_to_helper_invocation)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlFeaturesEXT (VK_EXT_subgroup_size_control)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceSynchronization2FeaturesKHR (VK_KHR_synchronization2)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| **Vulkan 1.4** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_16bit_storage** |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_8bit_storage** |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_buffer_device_address** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_dynamic_rendering** |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceDynamicRenderingFeaturesKHR (VK_KHR_dynamic_rendering)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_imageless_framebuffer** |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_maintenance4** |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_multiview** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> |
| **VK_KHR_sampler_ycbcr_conversion** |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_separate_depth_stencil_layouts** |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_shader_float16_int8** |
| [shaderFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_integer_dot_product** |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_shader_subgroup_extended_types** |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_shader_terminate_invocation** |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_synchronization2** |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceSynchronization2FeaturesKHR (VK_KHR_synchronization2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_timeline_semaphore** |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_uniform_buffer_standard_layout** |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_variable_pointers** |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_vertex_attribute_divisor** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_vulkan_memory_model** |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_zero_initialize_workgroup_memory** |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_4444_formats** |
| [formatA4R4G4B4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice4444FormatsFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice4444FormatsFeaturesEXT (VK_EXT_4444_formats)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_descriptor_indexing** |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_extended_dynamic_state** |
| [extendedDynamicState](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceExtendedDynamicStateFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceExtendedDynamicStateFeaturesEXT (VK_EXT_extended_dynamic_state)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_extended_dynamic_state2** |
| [extendedDynamicState2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceExtendedDynamicState2FeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceExtendedDynamicState2FeaturesEXT (VK_EXT_extended_dynamic_state2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_host_query_reset** |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_EXT_image_robustness** |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_inline_uniform_block** |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_pipeline_creation_cache_control** |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePipelineCreationCacheControlFeaturesEXT (VK_EXT_pipeline_creation_cache_control)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_private_data** |
| [privateData](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePrivateDataFeatures.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePrivateDataFeaturesEXT (VK_EXT_private_data)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_robustness2** |
| [robustImageAccess2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2FeaturesEXT.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_scalar_block_layout** |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_shader_atomic_float** |
| [shaderBufferFloat32Atomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderAtomicFloatFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderAtomicFloatFeaturesEXT (VK_EXT_shader_atomic_float)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSharedFloat32Atomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderAtomicFloatFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderAtomicFloatFeaturesEXT (VK_EXT_shader_atomic_float)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_shader_demote_to_helper_invocation** |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderDemoteToHelperInvocationFeaturesEXT (VK_EXT_shader_demote_to_helper_invocation)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_subgroup_size_control** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceSubgroupSizeControlFeaturesEXT (VK_EXT_subgroup_size_control)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceSubgroupSizeControlFeaturesEXT (VK_EXT_subgroup_size_control)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_texel_buffer_alignment** |
| [texelBufferAlignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_vertex_attribute_divisor** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeatures.html) | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |

## Vulkan Profile Limits (Properties)

> **NOTE**: The table below only contains properties/limits explicitly defined by the corresponding profile. Further properties/limits may be supported by the profiles in accordance to the requirements defined in the "Limit Requirements" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the limit/property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "_valueWithItalicFont_" indicates that the limit/property is not defined in the profile but an equivalent limit/property is (hover over the symbol to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "-" indicates that neither the limit/property nor an equivalent limit/property is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [bufferImageGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> |
| [discreteQueuePriorities (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> |
| [framebufferColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferNoAttachmentsSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [lineWidthGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.125</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> |
| [lineWidthRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,1)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,1)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,1)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> |
| [maxBoundDescriptorSets (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxClipDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxColorAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxCombinedClipAndCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxComputeSharedMemorySize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32768</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32768</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32768</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxComputeWorkGroupCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> |
| [maxComputeWorkGroupInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxComputeWorkGroupSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(256,256,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(256,256,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1024,1024,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1024,1024,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> |
| [maxCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxDescriptorSetInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxDescriptorSetSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1800</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1800</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">640</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">640</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">640</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> |
| [maxDescriptorSetSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">576</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">576</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">80</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">80</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">80</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> |
| [maxDescriptorSetStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> |
| [maxDescriptorSetStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxDescriptorSetStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">144</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">144</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">40</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">40</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">40</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> |
| [maxDescriptorSetUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">36</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">36</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> |
| [maxDescriptorSetUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxDrawIndexedIndexValue (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967294</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> |
| [maxDrawIndirectCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxFragmentCombinedOutputResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxFragmentDualSrcAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxFragmentInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">116</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">116</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">116</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [maxFragmentOutputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxFramebufferHeight (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxFramebufferLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxFramebufferWidth (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxGeometryInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputVertices (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryShaderInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxImageArrayLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxImageDimension1D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxImageDimension2D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxImageDimension3D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">512</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">512</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxImageDimensionCube (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxInterpolationOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> |
| [maxMemoryAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxPerStageDescriptorInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxPerStageDescriptorSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxPerStageDescriptorStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">30</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">30</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> |
| [maxPerStageResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">44</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">44</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">159</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">159</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">159</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxPushConstantsSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxSampleMaskWords (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxSamplerAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> |
| [maxSamplerAnisotropy (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxSamplerLodBias (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">14</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">14</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> |
| [maxStorageBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741820</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741820</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741820</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> |
| [maxTessellationControlPerPatchOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">120</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">120</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">120</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlPerVertexInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlPerVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationEvaluationInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationEvaluationOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationGenerationLevel (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationPatchSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTexelBufferElements (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">67108864</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">67108864</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">67108864</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> |
| [maxTexelGatherOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxTexelOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxUniformBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxVertexInputAttributeOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> |
| [maxVertexInputAttributes (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">29</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxVertexInputBindingStride (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxVertexInputBindings (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [maxViewportDimensions (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(16384,16384)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(16384,16384)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(16384,16384)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> |
| [maxViewports (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [minInterpolationOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> |
| [minMemoryMapAlignment (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [minStorageBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [minTexelBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [minTexelGatherOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minTexelOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minUniformBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [mipmapPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">6</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">6</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [nonCoherentAtomSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [optimalBufferCopyOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | - | - | - | - |
| [optimalBufferCopyRowPitchAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | - | - | - | - |
| [pointSizeGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> |
| [pointSizeRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,511)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,255.875)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> |
| [residencyAlignedMipSize (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | - | - | - | - |
| [residencyNonResidentStrict (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard2DBlockShape (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard2DMultisampleBlockShape (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard3DBlockShape (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [sampledImageColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageIntegerSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sparseAddressSpaceSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [standardSampleLocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | - | - | - | - |
| [storageImageSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> |
| [strictLines (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | - | - | - | - |
| [subPixelInterpolationOffsetBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [subPixelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [subTexelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [timestampComputeAndGraphics (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | - | - | - | - |
| [timestampPeriod (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">83.3333</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">83.3333</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">83.3333</span> | - | - | - | - |
| [viewportBoundsRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8191)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8191)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-32768,32767)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-32768,32767)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-32768,32767)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> |
| [viewportSubPixelBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| **Vulkan 1.1** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_2147483648_</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1610612736</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">2147483648</span> | - | <span title="defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1073741824</span> |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">134217727</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_134217727_</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">6</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_6_</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_700_</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">700</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1024</span> | - | <span title="defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">1024</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1024</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1024</span> |
| [subgroupQuadOperationsInAllStages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">VK_TRUE</span> | - | - | - | - |
| [subgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">4</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">4</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">32</span> | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">1</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1</span> |
| [subgroupSupportedOperations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT \| VK_SUBGROUP_FEATURE_VOTE_BIT \| VK_SUBGROUP_FEATURE_ARITHMETIC_BIT \| VK_SUBGROUP_FEATURE_BALLOT_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT \| VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT \| VK_SUBGROUP_FEATURE_VOTE_BIT \| VK_SUBGROUP_FEATURE_ARITHMETIC_BIT \| VK_SUBGROUP_FEATURE_BALLOT_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT \| VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT \| VK_SUBGROUP_FEATURE_VOTE_BIT \| VK_SUBGROUP_FEATURE_ARITHMETIC_BIT \| VK_SUBGROUP_FEATURE_BALLOT_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT \| VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> |
| [subgroupSupportedStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT \| VK_SHADER_STAGE_FRAGMENT_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT \| VK_SHADER_STAGE_FRAGMENT_BIT)</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_TESSELLATION_CONTROL_BIT \| VK_SHADER_STAGE_FRAGMENT_BIT \| VK_SHADER_STAGE_COMPUTE_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_TESSELLATION_CONTROL_BIT \| VK_SHADER_STAGE_FRAGMENT_BIT \| VK_SHADER_STAGE_COMPUTE_BIT)</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> |
| [supportedOperations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> | - | - |
| [supportedStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> | - | - |
| **Vulkan 1.2** |
| [filterMinmaxImageComponentMapping (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [filterMinmaxSingleComponentFormats (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [framebufferIntegerColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Properties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> |
| [independentResolve (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - |
| [independentResolveNone (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_256_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">256</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">256</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_640_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">640</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">640</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_80_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">80</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">80</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_155_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">155</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">155</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">4</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">4</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_40_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">40</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">40</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">72</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">72</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_90_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">90</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">155</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_64_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">64</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">64</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_128_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">128</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">128</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_16_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">16</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">16</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_31_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">31</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">31</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">12</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">12</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_15_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">15</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">15</span> | - | - | - | - |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_159_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">159</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">159</span> | - | - | - | - |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">_2147483647_</span> | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_1048576_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">1048576</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">1048576</span> | - | - | - | - |
| [quadDivergentImplicitLod (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [robustBufferAccessUpdateAfterBind (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - |
| [shaderDenormFlushToZeroFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormFlushToZeroFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormFlushToZeroFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormPreserveFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderDenormPreserveFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormPreserveFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderInputAttachmentArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderRoundingModeRTEFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderRoundingModeRTEFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderRoundingModeRTEFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderRoundingModeRTZFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderRoundingModeRTZFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderRoundingModeRTZFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderSampledImageArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">_VK_TRUE_</span> | - | - | - | - |
| [shaderStorageBufferArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderStorageImageArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderUniformBufferArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT \| VK_RESOLVE_MODE_MIN_BIT \| VK_RESOLVE_MODE_MAX_BIT)</span> | - | - | - | - |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | - | - | - | - |
| **Vulkan 1.3** |
| [integerDotProduct16BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct16BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct16BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_16_</span> | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_32_</span> | - | - | - | - |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_256_</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_256_</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> |
| [maxInlineUniformTotalSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan13Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | - | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxSubgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_1_</span> | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_32_</span> | - | - | - | - |
| [minSubgroupSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_64_</span> | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_64_</span> | - | - | - | - |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [storageTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_16_</span> | - | - | - | - |
| [uniformTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_16_</span> | - | - | - | - |
| **Vulkan 1.4** |
| [maxPushDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePushDescriptorProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDevicePushDescriptorPropertiesKHR (VK_KHR_push_descriptor)">_32_</span> | - | - | - | - |
| **VK_KHR_depth_stencil_resolve** |
| [independentResolve (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - |
| [independentResolveNone (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT \| VK_RESOLVE_MODE_MIN_BIT \| VK_RESOLVE_MODE_MAX_BIT)_</span> | - | - | - | - |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | - | - | - | - |
| **VK_KHR_maintenance3** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">2147483648</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1610612736_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_2147483648_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1073741824_</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">700</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_700_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1024_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">_1024_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1024_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1024_</span> |
| **VK_KHR_maintenance4** |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> |
| **VK_KHR_multiview** |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_134217727_</span> | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">134217727</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_6_</span> | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">6</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> |
| **VK_KHR_push_descriptor** |
| [maxPushDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePushDescriptorProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDevicePushDescriptorPropertiesKHR (VK_KHR_push_descriptor)">32</span> | - | - | - | - |
| **VK_KHR_shader_float_controls** |
| [shaderDenormFlushToZeroFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormFlushToZeroFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormFlushToZeroFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormPreserveFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderDenormPreserveFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderDenormPreserveFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderRoundingModeRTEFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderRoundingModeRTEFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderRoundingModeRTEFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderRoundingModeRTZFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderRoundingModeRTZFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderRoundingModeRTZFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat16 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat32 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat64 (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceFloatControlsPropertiesKHR (VK_KHR_shader_float_controls)">VK_TRUE</span> | - | - | - | - |
| **VK_KHR_shader_integer_dot_product** |
| [integerDotProduct16BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct16BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct16BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitMixedSignednessAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitSignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitUnsignedAccelerated (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| **VK_KHR_timeline_semaphore** |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | - | - | <span title="defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">2147483647</span> | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> |
| **VK_EXT_descriptor_indexing** |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">256</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_256_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">640</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_640_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_640_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">80</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_80_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_80_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">155</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_155_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_155_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_4_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">40</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_40_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_40_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_72_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_72_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">90</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_90_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_155_</span> | - | - | - | - |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">64</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_64_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_64_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">128</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_128_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_128_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">16</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_16_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_16_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">31</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_31_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_31_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | - | - | - |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_12_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_12_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">15</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_15_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_15_</span> | - | - | - | - |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">159</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_159_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_159_</span> | - | - | - | - |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">1048576</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_1048576_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_1048576_</span> | - | - | - | - |
| [quadDivergentImplicitLod (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [robustBufferAccessUpdateAfterBind (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - |
| [shaderInputAttachmentArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderSampledImageArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderStorageBufferArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderStorageImageArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| [shaderUniformBufferArrayNonUniformIndexingNative (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| **VK_EXT_external_memory_host** |
| [minImportedHostPointerAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceExternalMemoryHostPropertiesEXT.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceExternalMemoryHostPropertiesEXT (VK_EXT_external_memory_host)">4096</span> | - | - | - | - |
| **VK_EXT_inline_uniform_block** |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> | - | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">256</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">256</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| **VK_EXT_robustness2** |
| [robustStorageBufferAccessSizeAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2PropertiesEXT.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">4</span> | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">4</span> | - | - | - | - |
| [robustUniformBufferAccessSizeAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2PropertiesEXT.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">256</span> | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">256</span> | - | - | - | - |
| **VK_EXT_sampler_filter_minmax** |
| [filterMinmaxImageComponentMapping (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [filterMinmaxSingleComponentFormats (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| **VK_EXT_subgroup_size_control** |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">16</span> | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">32</span> | - | - | - | - |
| [maxSubgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">1</span> | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">32</span> | - | - | - | - |
| [minSubgroupSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">64</span> | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">64</span> | - | - | - | - |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | - | - | - | - |
| **VK_EXT_texel_buffer_alignment** |
| [storageTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">16</span> | - | - | - | - |
| [uniformTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">16</span> | - | - | - | - |
| **VK_EXT_vertex_attribute_divisor** |
| [maxVertexAttribDivisor (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT (VK_EXT_vertex_attribute_divisor)">268435455</span> | - | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT (VK_EXT_vertex_attribute_divisor)">268435455</span> | - | - | - | - |

## Vulkan Profile Queue Families

* "valueWithRegularFont" indicates that the queue family property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "_valueWithItalicFont_" indicates that the queue family property is not defined in the profile but an equivalent queue family property is (hover over the symbol to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "-" indicates that neither the queue family property nor an equivalent queue family property is defined in the profile
* Empty cells next to the properties of a particular queue family definition section indicate that the profile does not have a corresponding queue family definition

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|

## Vulkan Profile Formats

> **NOTE**: The table below only contains formats and properties explicitly defined by the corresponding profile. Further formats and properties may be supported by the profiles in accordance to the requirements defined in the "Required Format Support" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the format property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "_valueWithItalicFont_" indicates that the format property is not defined in the profile but an equivalent format property is (hover over the symbol to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "-" indicates that neither the format property nor an equivalent format property is defined in the profile
* Empty cells next to the properties of a particular format definition section indicate that the profile does not have a corresponding format definition

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **VK_FORMAT_A1R5G5B5_UNORM_PACK16** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2B10G10R10_SNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2B10G10R10_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2B10G10R10_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2R10G10B10_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SRGB_PACK32** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SSCALED_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_USCALED_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_10x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_12x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_12x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_12x12_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_12x12_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_4x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_4x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_5x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_5x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_5x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_5x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_6x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_6x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_6x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_6x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ASTC_8x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_B10G11R11_UFLOAT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B4G4R4A4_UNORM_PACK16** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B8G8R8A8_SRGB** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B8G8R8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC1_RGBA_SRGB_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC1_RGBA_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC1_RGB_SRGB_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC1_RGB_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC2_SRGB_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC2_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC3_SRGB_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC3_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC4_SNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC4_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC5_SNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC5_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC6H_SFLOAT_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC6H_UFLOAT_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC7_SRGB_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_BC7_UNORM_BLOCK** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_D16_UNORM** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_D32_SFLOAT** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_D32_SFLOAT_S8_UINT** |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_E5B9G9R9_UFLOAT_PACK32** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_EAC_R11G11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_EAC_R11G11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_EAC_R11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_EAC_R11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R4G4B4A4_UNORM_PACK16** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R5G6B5_UNORM_PACK16** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SRGB** |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |

## Vulkan Profile Video Profiles

The table below lists the video profiles (or class of video profiles) that any profile defines requirements for.
Video profile names take the following form:
> `"(General|[<codec>] <category>) [([<subsampling>] [<bits>])] [<codecSpecificProfileInfo>]"`
* "General" refers to general requirements for all video profiles.
* `<category>` is the category of the video profile requirements (e.g. "Decode" or "Encode").
* `<codec>` identifies the specific codec (e.g. H.264, H.265, AV1) the requirements apply to. If not indicated, the requirements apply to all supported video profiles falling in the specified category.
* `<subsampling>` indicates the chroma subsampling (e.g. 4:2:0, 4:2:2, 4:4:4, or monochrome). If not indicated, the requirements apply to all supported chroma subsampling modes.
* `<bits>` indicates the luma and chroma bit depth (e.g. 8-bit, 10-bit, or e.g. 10:8-bit for mixed bit depths). If not indicated, the requirements apply to all supported bit depths. Partial, luma-only or chroma-only "wildcard" requirements are indicated with an asterisk in place of the corresponding bit depth (e.g. 10:\*-bit or \*:8-bit).
* `<codecSpecificProfileInfo>` indicates additional codec-specific video profile information (e.g. "Main", "High"). If not indicated, the requirements apply to all video profiles of the codec.
* :heavy_check_mark: indicates that the profile defines requirements for the video profile (or class of video profiles)
* :x: indicates that that the profile does not define requirements for the video profile (or class of video profiles)

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
